> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# invoice details



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/invoices/{invoiceId}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/invoices/{invoiceId}:
    get:
      tags:
        - 'Invoices:'
      summary: invoice details
      operationId: InvoiceController_findOne_v1
      parameters:
        - name: invoiceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: invoice details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    InvoiceDTO:
      type: object
      properties:
        orders:
          description: invoice orders
          type: array
          items:
            $ref: '#/components/schemas/InvoiceOrderDto'
        items:
          description: invoice items
          type: array
          items:
            $ref: '#/components/schemas/InvoiceItemDto'
      required:
        - orders
        - items
    InvoiceOrderDto:
      type: object
      properties:
        id:
          type: string
          description: invoice order id
        code:
          type: string
          description: invoice order code
      required:
        - id
        - code
    InvoiceItemDto:
      type: object
      properties:
        quantity:
          type: number
          description: invoice item quantity
        unitPrice:
          type: number
          description: invoice item unit price
        skuCode:
          type: string
          description: invoice item SKU code
        orderId:
          type: string
          description: invoice item order id
          nullable: true
      required:
        - quantity
        - unitPrice
        - skuCode
        - orderId
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.